// file: $JEIDA/src/signal_detector/v2.1/src/sigd_reset_0.cc
//

// isip include files
//
#include "signal_detector.h"
#include "signal_detector_constants.h"

// method: reset_cc
//
// arguments: none
//
// return:
//  a logical_1 indicating the status
//
// this method resets the utterance detector by simply zeroing the
// endpoint variables
//
// note that process_cc also does a different form of reset within its
// main loop.
//
logical_1 Signal_detector::reset_cc() {

  // clear endpoints
  //
  utt_beg_d = (int_4)-1;
  utt_end_d = (int_4)-1;

  // exit gracefully
  //
  return ISIP_TRUE;
}
