# file: $JEIDA/src/validate/v1.0/src/proc_plot.tcl
#
#
# This procedure runs the plot_signal program to generate
# a temporary data file of points and runs the plot procedure to
# plot the points onto the canvas
#
proc proc_plot {} { 
    global env
    global my_file
    global p
    global width_of_plot
    global height_of_plot
    global plot_signal_program
    global tmp_file_name

    # execute the C program to create a data file to plot from
    #
    exec $plot_signal_program \
	    $width_of_plot \
	    $height_of_plot \
	    $my_file \
	    $tmp_file_name
    
    # plot from the temporary data file
    #
    plot
}
